import httpClient from "../utils/request";

interface LoginForm {
  code: string;
}

export const login = (data: LoginForm) =>
  httpClient.request({
    url: "/mini-app/login",
    method: "POST",
    data,
  });

export const getInfo = (token?: string) =>
  httpClient.request({
    url: "/getInfo",
    header: {
      Authorization: token ? `Bearer ${token}` : undefined,
    },
  });

export const getProfile = () =>
  httpClient.request({
    url: "/system/user/profile",
  });
