import { getInfo } from "./api/login";
import { getToken, getUserInfo } from "./utils/settings";

// app.ts
App<IAppOption>({
  globalData: {
    authToken: undefined,
    permissions: undefined,
    user: undefined,
  },

  loadUserInfo(token: string) {
    getInfo(token).then((resp: any) => {
      const { user, permissions } = resp;
      this.globalData.user = user;
      this.globalData.permissions = permissions;
      console.log(this.globalData);
    });
  },
  onLaunch() {
    const token = getToken();
    this.globalData.authToken = token;
    this.loadUserInfo(token);
    // 登录
    wx.login({
      success: (res) => {
        console.log(res.code);
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
      },
    });
  },
});
